| Home | Libraries | People | FAQ | More

## Global blank

boost::xpressive::blank — Matches a blank (horizonal white-space) character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified blank;

## Description

The regex traits are used to determine which characters are blank characters. To match any character that is not blank, use ~blank.

| Note
blank is equivalent to /[[:blank:]]/ in perl. ~blank is equivalent to /[[:^blank:]]/ in perl.